declare @eid as varchar(100)
declare @uid as varchar(100)
declare @pagina as int
set @eid=(select eid from seg_usuario where id=1)
set @uid=(select uid from seg_usuario where id=1)
set @pagina=(select id from view_gui_funcionalidad where id_tipofuncionalidad=3 and url like'%rep_reporte.aspx' )


if not exists(select * from view_gui_funcionalidad where id_tipoFuncionalidad=1 and id_funcionalidad =@pagina and nombrecontrol='inc_campoReporte')
begin
INSERT INTO[gui_funcionalidad]
([uid],[eid],[id_usuario_modifico],[id_usuario_creo]
,[fechaModificacion],[fechaCreacion],[active],[funcionalidad]
,[funcionalidad_codigo],[urlImagen],[urlFormulario],[targetUrl]
,[url],[toolTip],[esMenu],[nombreControl],[nombreComando]
,[orden],[id_funcionalidad],[id_tipoFuncionalidad])
     VALUES
(@uid,@eid,1 ,1,getdate(),getdate(),1,'Campo Reporte'
,'','',''
,'','','',0,'inc_campoReporte'
,'',2,@pagina,1)
end


if not exists(select * from view_gui_funcionalidad where id_tipoFuncionalidad=1 and id_funcionalidad =@pagina and nombrecontrol='inc_opcionReporte')
begin
INSERT INTO[gui_funcionalidad]
([uid],[eid],[id_usuario_modifico],[id_usuario_creo]
,[fechaModificacion],[fechaCreacion],[active],[funcionalidad]
,[funcionalidad_codigo],[urlImagen],[urlFormulario],[targetUrl]
,[url],[toolTip],[esMenu],[nombreControl],[nombreComando]
,[orden],[id_funcionalidad],[id_tipoFuncionalidad])
     VALUES
(@uid,@eid,1 ,1,getdate(),getdate(),1,'Opcion Reporte'
,'','',''
,'','','',0,'inc_opcionReporte'
,'',2,@pagina,1)
end
if not exists(select * from view_gui_funcionalidad where id_tipoFuncionalidad=1 and id_funcionalidad =@pagina and nombrecontrol='inc_origenDato')
begin
INSERT INTO[gui_funcionalidad]
([uid],[eid],[id_usuario_modifico],[id_usuario_creo]
,[fechaModificacion],[fechaCreacion],[active],[funcionalidad]
,[funcionalidad_codigo],[urlImagen],[urlFormulario],[targetUrl]
,[url],[toolTip],[esMenu],[nombreControl],[nombreComando]
,[orden],[id_funcionalidad],[id_tipoFuncionalidad])
     VALUES
(@uid,@eid,1 ,1,getdate(),getdate(),1,'Origen Dato'
,'','',''
,'','','',0,'inc_origenDato'
,'',2,@pagina,1)
end
